<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
    PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.demo.mapper.AddrCategoryDao">
    <select id="selectCityTierList" resultType="java.lang.String">
        SELECT DISTINCT
            city_tier
        FROM
            `ddt_addr_category`
        WHERE
            city_tier IS NOT NULL;
    </select>
    <select id="selectCodeListByCityTier" resultType="java.lang.String">
        SELECT
            addr_code
        FROM
            `ddt_addr_category`
        WHERE city_tier = #{cityTier}
          AND type = 'zone';
    </select>
</mapper>
